%define snapshotdate 20071011
%define githash 5615ca

Name:           libcompizconfig
Version:        0.6.0
Release:        0.3.%{snapshotdate}git%{githash}%{?dist}
Summary:        Configuration backend for compiz

Group:          System Environment/Libraries
# backends/libini.so is GPLv2+, other parts are LGPLv2+
License:        LGPLv2+ and GPLv2+
URL:            http://www.opencompositing.org/

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  git clone git://anongit.compiz-fusion.org/fusion/compizconfig/libcompizconfig libcompizconfig-0.6.0
#  tar -cvf libcompizconfig-0.6.0.tar libcompizconfig-0.6.0
#  bzip2 libcompizconfig-0.6.0.tar
#Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch100:	        libcompizconfig-fix-weak-symbols.patch

# libdrm is not available on these arches
ExcludeArch:    s390 s390x ppc64
BuildRequires:  compiz-devel = %{version}, compiz-bcop >= 0.5.2
BuildRequires:  libX11-devel
BuildRequires:  perl(XML::Parser)

%description
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
through plugins and themes contributed by the community giving a
rich desktop experience.

This package contains the library for plugins to configure compiz 
settings.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} , pkgconfig , compiz-devel = %{version}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch100 -p1 -b .fix-weak-symbols

%build
%configure --disable-static 
           
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL NEWS VERSION LICENSE.gpl LICENSE.lgpl
%{_libdir}/*.so.*
%dir %{_datadir}/compizconfig/
%{_datadir}/compizconfig/global.xml
%{_libdir}/compiz/*.so
%dir %{_libdir}/compizconfig/
%dir %{_libdir}/compizconfig/backends/
%{_libdir}/compizconfig/backends/libini.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcompizconfig.pc


%changelog
* Tue Oct 16 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-0.3.20071011git5615ca
- added LICENSE.gpl and LICENSE.lgpl into doc
- license tag changed to LGPLv2+ and GPLv2+

* Tue Oct 16 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-0.2.20071011git5615ca
- 20071011git
- added BuildDep libX11-devel
- added patch to fix weak symbols

* Sat Oct 6 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.5.2-0.3
- owns created directories
- updated license tag

* Tue Aug 14 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.5.2-0.1
- 0.5.2 release

* Sun Jul 03 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.4.20070703git
- 20070703git

* Sun Jun 24 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-20070622git
- Initial specfile, borrowing descriptions from Trevino ubuntu debs

